CS::Physics::Bullet::iRigidBody Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CS::Physics::Bullet::iRigidBody Struct Reference

The Bullet implementation of iRigidBody also implements this interface. More...

`#include <ivaria/bullet.h>`

Inheritance diagram for CS::Physics::Bullet::iRigidBody:

List of all members.

## Public Member Functions
virtual BodyState | GetDynamicState () const =0
| Return the current state of the body.
virtual iKinematicCallback * | GetKinematicCallback ()=0
| Get the callback used to update the transform of the kinematic body.
virtual float | GetLinearDampener () const =0
| Get the linear dampener for this rigid body.
virtual float | GetRollingDampener () const =0
| Get the angular dampener for this rigid body.
virtual void | MakeKinematic ()=0
| Set a body in the kinematic state, ie the motion of the body is controlled by you, but it interacts with the dynamic simulation.
virtual void | SetDynamicState (BodyState state)=0
| Set the current state of the body.
virtual void | SetKinematicCallback (iKinematicCallback *callback)=0
| Set the callback to be used to update the transform of the kinematic body.
virtual void | SetLinearDampener (float d)=0
| Set the linear dampener for this rigid body.
virtual void | SetRollingDampener (float d)=0
| Set the angular dampener for this rigid body.

## Detailed Description

The Bullet implementation of iRigidBody also implements this interface.

See also:
  iRigidBody CS::Physics::Bullet::iSoftBody

Definition at line 642 of file bullet.h.

## Member Function Documentation

virtual BodyState CS::Physics::Bullet::iRigidBody::GetDynamicState | ( |  | ) | const`[pure virtual]`

Return the current state of the body.

virtual iKinematicCallback* CS::Physics::Bullet::iRigidBody::GetKinematicCallback | ( |  | ) | `[pure virtual]`

Get the callback used to update the transform of the kinematic body.

virtual float CS::Physics::Bullet::iRigidBody::GetLinearDampener | ( |  | ) | const`[pure virtual]`

Get the linear dampener for this rigid body.

virtual float CS::Physics::Bullet::iRigidBody::GetRollingDampener | ( |  | ) | const`[pure virtual]`

Get the angular dampener for this rigid body.

virtual void CS::Physics::Bullet::iRigidBody::MakeKinematic | ( |  | ) | `[pure virtual]`

Set a body in the kinematic state, ie the motion of the body is controlled by you, but it interacts with the dynamic simulation.

You may need to set a callback with SetKinematicCallback() to let the dynamic system know how to update the transform of the body.

See also:
  SetDynamicState() iRigidBody::MakeStatic() iRigidBody::MakeDynamic()

virtual void CS::Physics::Bullet::iRigidBody::SetDynamicState | ( | BodyState | state | ) | `[pure virtual]`

Set the current state of the body.

See also:
  iRigidBody::MakeStatic() iRigidBody::MakeDynamic() MakeKinematic()

virtual void CS::Physics::Bullet::iRigidBody::SetKinematicCallback | ( | iKinematicCallback * | callback | ) | `[pure virtual]`

Set the callback to be used to update the transform of the kinematic body.

If no callback are provided then the dynamic system will use a default one.

virtual void CS::Physics::Bullet::iRigidBody::SetLinearDampener | ( | float | d | ) | `[pure virtual]`

Set the linear dampener for this rigid body.

The dampening correspond to how much the movements of the objects will be reduced. It is a value between 0 and 1, giving the ratio of speed that will be reduced in one second. 0 means that the movement will not be reduced, while 1 means that the object will not move. The default value is 0.

See also:
  iDynamicSystem::SetLinearDampener()

virtual void CS::Physics::Bullet::iRigidBody::SetRollingDampener | ( | float | d | ) | `[pure virtual]`

Set the angular dampener for this rigid body.

The dampening correspond to how much the movements of the objects will be reduced. It is a value between 0 and 1, giving the ratio of speed that will be reduced in one second. 0 means that the movement will not be reduced, while 1 means that the object will not move. The default value is 0.

See also:
  iDynamicSystem::SetRollingDampener()

The documentation for this struct was generated from the following file:

- ivaria/bullet.h